Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface ContainerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  EntityContainerMBean, MessageDrivenContainerMBean

All Known Implementing Classes:
  Container, EntityContainer, MessageDrivenContainer

public interface ContainerMBean
extends org.jboss.system.ServiceMBean

MBean interface.

See Also:
  `EJBDeployer`

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`BeanMetaData` | `getBeanMetaData()` Returns the metadata of this container.
`long` | `getCreateCount()` Gets the number of create invocations that have been made
`EjbModule` | `getEjbModule()` Gets the application deployment unit for this container.
`Context` | `getEnvContext()` Get the components environment context
`InvocationStatistics` | `getInvokeStats()` Gets the invocation statistics collection
`long` | `getRemoveCount()` Gets the number of remove invocations that have been made
`javax.ejb.TimerService` | `getTimerService(Object pKey)` Creates the single Timer Servic for this container if not already created
`Object` | `invoke(Invocation mi)` The detached invoker operation.
`void` | `removeTimerService(Object pKey)` Removes Timer Servic for this container

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getEjbModule

    public EjbModule getEjbModule()

  Gets the application deployment unit for this container. All the bean containers within the same application unit share the same instance.

### getCreateCount

    public long getCreateCount()

  Gets the number of create invocations that have been made

### getRemoveCount

    public long getRemoveCount()

  Gets the number of remove invocations that have been made

### getInvokeStats

    public InvocationStatistics getInvokeStats()

  Gets the invocation statistics collection

### getEnvContext

    public Context getEnvContext()
                          throws NamingException

  Get the components environment context

  Returns:
    Environment Context
  Throws:
    `NamingException`

### getBeanMetaData

    public BeanMetaData getBeanMetaData()

  Returns the metadata of this container.

  Returns:
    metaData;

### getTimerService

    public javax.ejb.TimerService getTimerService(Object pKey)
                                           throws IllegalStateException

  Creates the single Timer Servic for this container if not already created

  Parameters:
    `pKey` - Bean id
  Returns:
    Container Timer Service
  Throws:
    `IllegalStateException` - If the type of EJB is not allowed to use the timer service
  See Also:
    `EJBContext.getTimerService()`

### removeTimerService

    public void removeTimerService(Object pKey)
                            throws IllegalStateException

  Removes Timer Servic for this container

  Parameters:
    `pKey` - Bean id
  Throws:
    `IllegalStateException` - If the type of EJB is not allowed to use the timer service

### invoke

    public Object invoke(Invocation mi)
                  throws Exception

  The detached invoker operation.

  Parameters:
    `mi` - - the method invocation context
  Returns:
    the value of the ejb invocation
  Throws:
    `Exception` - on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.